String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//+++
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//
function fCancelar(){
	SM("L");
}
//
function AV(c){
	if(c==-1){
		return 0;
	}else{
		return 1;
	}
}
//
function EXT_PER(file_name,extensiones){
	file_name=file_name.toUpperCase();
	extensiones=extensiones.toUpperCase();
	var e=extensiones.split(",");
	var ext="";
	for(i=0;i<e.length;i++){
		ext=e[i];
		if(AV(file_name.indexOf(ext))==1){
			return true;
		}
	}
	return false;
}
//
function fGuardar(){
	var Noml=gv("Noml");
	var Nomc=gv("Nomc");
	var Dir=gv("Dir");
	var fe_hab=gv("feHab");
	var fe_nom=gv("feNom");
	var fe_ruc=gv("feRuc");
	var fe_dep=gv("feDep");
	var fe_prv=gv("fePrv");
	var fe_dis=gv("feDis");
	var fe_ubi=gv("feUbi");
	var fe_dir=gv("feDir");
	var fe_ema=gv("feEma");	
	//
	var fe_tip_prv=gv("FeTipPrv");
	var fe_tel=gv("FeTel");
	var fe_usu_pri_nom=gv("FeUsuPriNom");
	var fe_usu_pri_pas=gv("FeUsuPriPas");
	var fe_usu_sec_nom=gv("FeUsuSecNom");
	var fe_usu_sec_pas=gv("FeUsuSecPas");
	var fe_usu_cer_pas=gv("FeCerPas");
	var fe_usu_cer_fec_ven=gv("FeCerFecVen");
	var adj=gv("Foto");
	var cer=gv("CerDig");
	//
	if(jL(adj)>0){
		if(!EXT_PER(adj,"JPG,PNG")){
			return AF("El logo debe ser de tipo jpg y png","Foto");
		}
		if(!F_MB("Foto",1)){
			return AF("El logo debe tener un peso maximo de 1 MB","Foto");
		}
	}	
	//
	if(jL(cer)>0){
		if(!EXT_PER(cer,"PFX")){
			return AF("El certificado debe ser de tipo pfx","CerDig");
		}
		
	}
	//
	if(jVac(Noml,"Ingrese el nombre de la empresa","Noml"))return;
	if(jVac(Nomc,"Ingrese el nombre corto de la empresa","Nomc"))return;
	//
	if(fe_hab=="SI"){
		if(jVac(fe_nom,"Ingrese el nombre comercial de la empresa","feNom"))return;
		if(jVac(fe_ruc,"Ingrese el numero de ruc de la empresa","feRuc"))return;
		if(jVac(fe_dep,"Ingrese el nombre del departamento","feDep"))return;
		if(jVac(fe_prv,"Ingrese el nombre de la provincia","fePrv"))return;
		if(jVac(fe_dis,"Ingrese el nombre de la distrito","feDis"))return;
		if(jVac(fe_ubi,"Ingrese el ubigeo","feUbi"))return;
		if(jVac(fe_dir,"Ingrese la direccion de la empresa","feDir"))return;
		if(jVac(fe_ema,"Ingrese el email de la empresa","feEma"))return;
		//		
		if(fe_tip_prv=="SUNAT"){
			if(jVac(fe_usu_pri_nom,"Ingrese el usuario principal","FeUsuPriNom"))return;
			if(jVac(fe_usu_pri_pas,"Ingrese el password del usuario principal","FeUsuPriPas"))return;
			if(jVac(fe_usu_sec_nom,"Ingrese el usuario secundario","FeUsuSecNom"))return;
			if(jVac(fe_usu_sec_pas,"Ingrese el password del usuario secundario","FeUsuSecPas"))return;
			if(jVac(fe_usu_cer_pas,"Ingrese el password del certificado","FeCerPas"))return;
			if(jVac(fe_usu_cer_fec_ven,"Ingrese la fecha de vencimiento del certificado","FeCerFecVen"))return;
		}
	}
	//	
	if(gv("CmdG")=="Guardar"){
		document.getElementById("CmdG").disabled=true;
		SM("G");
	}else{
		document.getElementById("CmdG").disabled=true;
		SM("M");
	}
}
